import { IAbstractControl } from "../types/abstract-control";
import { ValidatorsFunction } from "../types/validators-function";
/** Wrapper for sequential validations (The next validation is launched only after the previous one passed without errors) / Обертка для последовательных валидаций (Следующая валидация запускается, только после того, что предыдущая прошла без ошибок) */
export declare const wrapperSequentialCheck: <TAbstractControl extends IAbstractControl>(validators: ValidatorsFunction<TAbstractControl>[]) => ValidatorsFunction<TAbstractControl>;
/** Runs validations only if activation conditions are met / Запускает валидации только если условие активации выполнено */
export declare const wrapperActivateValidation: <TAbstractControl extends IAbstractControl>(activate: (control: TAbstractControl) => Promise<boolean>, validators?: ValidatorsFunction<TAbstractControl>[], elseValidators?: ValidatorsFunction<TAbstractControl>[]) => ValidatorsFunction<TAbstractControl>;
