import { FormControl } from "../form-control";
import { ValidatorsFunction } from "../types/validators-function";
import { ValidationEventTypes } from "../types/validation-event-types";
export declare const requiredValidatorKey = "required";
export declare const requiredValidator: <TEntity>(message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
/** Not empty string / Не пустая строка */
export declare const notEmptyOrSpacesValidatorKey = "notEmptyOrSpaces";
export declare const notEmptyOrSpacesValidator: <TEntity extends string>(message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const notContainSpacesValidatorKey = "notContainSpaces";
/** Not contain spaces / Не содержит проблелов */
export declare const notContainSpacesValidator: <TEntity extends string>(message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const patternValidatorKey = "notLikePattern";
/** Error if there is no pattern matching / Ошибка, если нет соответствия паттерну */
export declare const patternValidator: <TEntity extends string>(regExp: RegExp, message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const invertPatternValidatorKey = "likePattern";
/** Error if there is a pattern match / Ошибка, если есть соответствие паттерну */
export declare const invertPatternValidator: <TEntity extends string>(regExp: RegExp, message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const minLengthValidatorKey = "minlength";
export declare const minLengthValidator: <TEntity extends string>(minlength: number, message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const maxLengthValidatorKey = "maxlength";
export declare const maxLengthValidator: <TEntity extends string>(maxlength: number, message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const absoluteLengthValidatorKey = "absoluteLength";
export declare const absoluteLengthValidator: <TEntity extends string>(length: number, message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
type TReferenceValueEntity = number | Date;
type TValueEntity = TReferenceValueEntity | string | null;
export declare const minValueValidatorKey = "minValue";
export declare const minValueValidator: <TEntity extends TValueEntity>(min: TReferenceValueEntity | (() => TReferenceValueEntity), message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const maxValueValidatorKey = "minValue";
export declare const maxValueValidator: <TEntity extends TValueEntity>(max: TReferenceValueEntity | (() => TReferenceValueEntity), message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const compairValidatorKey = "compair";
/** Wrapper for complex validation (error if validation returns false) / Обёртка для сложной проверки (ошибка, если проверка вернула false) */
export declare const compareValidator: <TEntity>(expression: (value: TEntity) => boolean, message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export declare const isEqualValidatorKey = "isEqual";
/** Equals to {value} / Равно значению {value} */
export declare const isEqualValidator: <TEntity>(value: TEntity, message?: string, eventType?: ValidationEventTypes, key?: string) => ValidatorsFunction<FormControl<TEntity>>;
export {};
